Skip to content

Pthread Text 2.0.0

Compare
Choose a tag to compare
@norihiro norihiro released this 29 Aug 10:54
· 7 commits to main since this release
2.0.0

This is a major release to support OBS 28 and to drop supporting OBS 26.

Changes in 2.0.0

  • Added outline blur using Gaussian. The old blur is deprecated. I appreciate @skeletonbow for giving me the idea.
  • Support OBS 28 on Apple Silicon.
  • Drop support of OBS 26.
  • Started to use Github Actions to build binary packages instead of Microsoft Azure Pipeline. (This change should not make any difference.)

Limitation

  • Not all binaries are not tested.
    • Version 2.0.0 for Ubuntu is tested on Ubuntu 22.04.
    • Binary package 2.0.0 for macOS is only tested on Intel mac.
  • No Windows support due to difficulties to build a lot of required libraries.

Install

Click your OS name to expand to show details.

macOS

OBS Studio 27 or later on Intel mac

Download installer obs-text-pthread-2.0.0-obs27-macos-x86_64.pkg and run installer.
Or, download zip package obs-text-pthread-2.0.0-obs27-macos-x86_64.zip and follow this guide to extract.

OBS Studio 28 or later on Apple Silicon

Removed due to a technical issue that dependencies are not correctly configured in the plugin binary file.

Note: If you are using OBS Studio 27 with Rosetta2, download Intel version.

Ubuntu

OBS Studio 27 or later on Ubuntu

Download package obs-text-pthread-2.0.0-obs27-ubuntu-20.04-x86_64.deb and install with a command below.
sudo apt install obs-text-pthread-2.0.0-obs27-ubuntu-20.04-x86_64.deb